Jira CLI(7)

NAME

jira-issue-list - List lists issues in a project

SYNOPSIS

jira issue list [optional text to query] [flags]

DESCRIPTION

List lists issues in a given project.

You can combine different flags to create a unique query. For instance,

Issues that are of high priority, is in progress, was created this month, and has given labels

$ jira issue list -yHigh -s"In Progress" --created month -lbackend -l"high prio"

You can also add an optional search query as a positional argument, which functions the same as entering a search query into the Jira UI's search box.

Issues are displayed in an interactive list view by default. You can use a --plain flag to display output in a plain text mode. A --no-headers flag will hide the table headers in plain view. A --no-truncate flag will display all available fields in plain mode.

OPTIONS

-t, --type=""
    Filter issues by type

-R, --resolution=""
    Filter issues by resolution type

-s, --status=[]
    Filter issues by status

-y, --priority=""
    Filter issues by priority

-r, --reporter=""
    Filter issues by reporter (email or display name)

-a, --assignee=""
    Filter issues by assignee (email or display name)

-C, --component=""
    Filter issues by component

-l, --label=[]
    Filter issues by label

-P, --parent=""
    Filter issues by parent

--history[=false]
    Issues you accessed recently

-w, --watching[=false]
    Issues you are watching

--created=""
    Filter issues by created date Accepts: today, week, month, year, or a date in yyyy-mm-dd and yyyy/mm/dd format, or a period format using w = weeks, d = days, h = hours, m = minutes. eg: -10d Created filter will have precedence over created-after and created-before filter

--updated=""
    Filter issues by updated date Accepts: today, week, month, year, or a date in yyyy-mm-dd and yyyy/mm/dd format, or a period format using w = weeks, d = days, h = hours, m = minutes. eg: -10d Updated filter will have precedence over updated-after and updated-before filter

--created-after=""
    Filter by issues created after certain date

--updated-after=""
    Filter by issues updated after certain date

--created-before=""
    Filter by issues created before certain date

--updated-before=""
    Filter by issues updated before certain date

-q, --jql=""
    Run a raw JQL query in a given project context

--order-by="created"
    Field to order the list with

--reverse[=false]
    Reverse the display order (default "DESC")

--paginate="0:100"
    Paginate the result. Max 100 at a time, format: : where is optional

--plain[=false]
    Display output in plain mode

--no-headers[=false]
    Don't display table headers in plain mode. Works only with --plain

--no-truncate[=false]
    Show all available columns in plain mode. Works only with --plain

--delimiter="\t"
    Custom delimeter for columns in plain mode. Works only with --plain

--comments=1
    Show N comments when viewing the issue

--raw[=false]
    Print raw JSON output

--csv[=false]
    Print output in CSV format

--columns=""
    Comma separated list of columns to display in the plain mode. Accepts: TYPE, KEY, SUMMARY, STATUS, ASSIGNEE, REPORTER, PRIORITY, RESOLUTION, CREATED, UPDATED, LABELS

--fixed-columns=1
    Number of fixed columns in the interactive mode

-h, --help[=false]
    help for list

OPTIONS INHERITED FROM PARENT COMMANDS

-c, --config=""
    Config file (default is /home/pbulk/.config/.jira/.config.yml, can be overridden with JIRA_CONFIG_FILE env var)

--debug[=false]
    Turn on debug output

-p, --project=""
    Jira project to look into (defaults to /home/pbulk/.config/.jira/.config.yml)

EXAMPLE
    $ jira issue list
    # Limit list to 20 items
    $ jira issue list --paginate 20
    # Get 50 items starting from 10
    $ jira issue list --paginate 10:50
    # Search for issues containing specific text
    $ jira issue list "Feature Request"
    # List issues in a plain table view without headers
    $ jira issue list --plain --no-headers
    # List some columns of the issue in a plain table view
    $ jira issue list --plain --columns key,assignee,status
    # List issues in a plain table view and show all fields
    $ jira issue list --plain --no-truncate
    # List issues in a plain table view using custom delimiter (default is "\t")
    $ jira issue list --plain --delimeter "|"
    # List issues as raw JSON data
    $ jira issue list --raw
    # List issues of type "Epic" in status "Done"
    $ jira issue list -tEpic -sDone
    # List issues in status other than "Open" and is assigned to no one
    $ jira issue list -s~Open -ax
    # List issues from all projects
    $ jira issue list -q"project IS NOT EMPTY"

SEE ALSO

jira-issue(7)

HISTORY

3-Jan-2026 Auto generated by spf13/cobra